Bug 244422 - for better overviewing large image collections, I wish to have a _list_ view
Summary: for better overviewing large image collections, I wish to have a _list_ view
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-TableView (show other bugs)
Version: 1.2.0
Platform: Ubuntu Packages Linux
: NOR wishlist with 5 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-12 19:02 UTC by Axel Krebs
Modified: 2017-08-15 05:48 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.2.0


Attachments
Digikam in table view mode. (350.04 KB, image/png)
2013-03-07 21:47 UTC, Michael G. Hansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2010-07-12 19:02:05 UTC
Version:           1.2.0 (using KDE 4.4.2) 
OS:                Linux

This view should contain horizontal & vertical size, color depth, date, time, maybe keywords. 

List should be sortable, and able to include /exclude subsequently several row headers.



Reproducible: Didn't try
Comment 1 Axel Krebs 2010-07-12 19:04:40 UTC
(it is a wish, not a bug)
Comment 2 Fri13 2010-07-12 19:16:06 UTC
What view this wish is about?
Comment 3 Michael G. Hansen 2010-07-12 20:31:44 UTC
If I understand you correctly, you would like to have a list view in the central view which normally just shows icons, much like in a filemanager such as dolphin.

I think this is a good idea, because you could easily sort the images by the columns, and easily compare the values in those columns.

Michael
Comment 4 Axel Krebs 2010-07-13 09:43:11 UTC
Michael:

yep: that roughly what I meant! It intended for large numbers of pics and therefore it is not even necessary to show icons.

I think it is extremely useful if one organizes ones pics even within folders/subfolders and still wants to compare (horiz./vert.) sizes, color-depth, pic-size (kB, MB), key-words etc. 

You're right, the sorting of columns would be a special & useful benefit.
Comment 5 Johannes Wienke 2010-07-13 10:19:35 UTC
It should not be such a big deal to put a QListView onto the already existing model for the current view.
Comment 6 Marcel Wiesweg 2010-07-29 10:27:17 UTC
I guess it's going to be a QTreeView: "This view does not display horizontal or vertical headers; to display a list of items with a horizontal header, use QTreeView instead."

We'll need a wrapper model producing additional columns with the desired data and the appropriate headerData(), the current models only provide one column per row, with the filename.
Comment 7 Axel Krebs 2010-07-30 13:44:47 UTC
(In reply to comment #6)
> I guess it's going to be a QTreeView: "This view does not display horizontal or
> vertical headers; to display a list of items with a horizontal header, use
> QTreeView instead."

For the sake of clarity:
I wish some type of list, looking just like a table. 
This "list" should have headers showing the name of the column's content below. 
Don't understand, what "...display horizontal headers..," should mean).

When clicking one header, the sorting sequence changes from upwards to downwards (and vice versa). It is similar as sorting of an OS (konquerer / dolphin,..), but in contradiction to those, one has only _one_ list, which shows _all_ files, even when these are contained in subdirectories / subfolders.

It's for professional like handling of large collections (the mine is heading 70000 pics)

If questions, please, let me know!


Axel Krebs
> 
> We'll need a wrapper model producing additional columns with the desired data
> and the appropriate headerData(), the current models only provide one column
> per row, with the filename.
Comment 8 Marcel Wiesweg 2010-08-04 12:41:06 UTC
Yes that's what we mean as well. Just technically, it's a QTreeView.
Comment 9 Michael G. Hansen 2013-02-11 21:25:32 UTC
Hi,

I just started working on a table view in a separate branch:

https://projects.kde.org/projects/extragear/graphics/digikam/repository/show?rev=tableview

If you have any comments, please let me know. As discussed above, I have chosen a QTreeView for the display. The next step will be the wrapper model to generate the columns.

Michael
Comment 10 Axel Krebs 2013-02-11 21:50:16 UTC
Am 11.02.2013 22:25, schrieb Michael G. Hansen:
> https://bugs.kde.org/show_bug.cgi?id=244422
> 
> --- Comment #9 from Michael G. Hansen <mike@mghansen.de> ---
> Hi,
> 
> I just started working on a table view in a separate branch:
> 
> https://projects.kde.org/projects/extragear/graphics/digikam/repository/show?rev=tableview
> 
> If you have any comments, please let me know. As discussed above, I have chosen
> a QTreeView for the display. The next step will be the wrapper model to
> generate the columns.
> 
> Michael
> 
Hi,

Thank you for your info.

I am not used / familiar with this type of development(?) data, however.
So I do not know how to check your programming progress.


Axel
Comment 11 Michael G. Hansen 2013-03-07 21:47:39 UTC
Created attachment 77844 [details]
Digikam in table view mode.

Here is a first screenshot of the current progress. Would be nice if some developers could test it - just check out the tableview branch ;-)

List of known issues and things to be finished before a release is here:

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/tableview/entry/TODO.TABLEVIEW

Michael
Comment 12 Michael G. Hansen 2013-03-07 21:51:03 UTC
Note the two "Size" columns. One is configured to show the size with prefixes as configured KDE-wide, the other one plain.

Also, you still need to add the "Table" button to your toolbar manually (right click->Configure).
Comment 13 caulier.gilles 2013-03-07 21:57:47 UTC
Michael,

I will test your branch after 3.1.0 release planed for next Sunday...
Comment 14 caulier.gilles 2013-03-08 07:05:18 UTC
Michael,

If your tableview branch is ready for test, i propose to sync back your code into git/master just after 3.1.0 release, normally planed Sunday evening by Nicolas Lécureuil.

What do you think about ?

Gilles
Comment 15 Michael G. Hansen 2013-03-09 11:54:44 UTC
Hi Gilles,

good idea, I will merge tableview into master after Sunday's relase.

Michael
Comment 16 caulier.gilles 2013-03-11 11:16:00 UTC
Michael,

I see tagging of 3.1.0 have been done by Nicolas this morning :

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/e34a5c4b9a738593cdef236063242300f134f2f1

I think it's safe to branching back to git/master tableview now...

Gilles
Comment 17 Michael G. Hansen 2013-03-11 21:09:39 UTC
Git commit 060ab8ff2dbd3202d02a119ee7ffc2172d72cf60 by Michael Georg Hansen.
Committed on 11/03/2013 at 22:09.
Pushed by mghansen into branch 'master'.

Merge branch 'tableview'

M  +16   -0    CMakeLists.txt

http://commits.kde.org/digikam/060ab8ff2dbd3202d02a119ee7ffc2172d72cf60
Comment 18 caulier.gilles 2013-03-11 22:29:46 UTC
Micheal, 

New Coverity SCAN report build with git/master will be done this night...

Gilles Caulier
Comment 19 caulier.gilles 2013-03-11 22:55:05 UTC
Michael,

I don't yet tried under Linux, but under OSX, table view mode crash when i switch from icon view and i scroll down table to the bottom.

There are 50 JPEG on the current album. GDB trace is below. Sound like a QList assertion (i compiled digiKam with debug symbols but i can get better trace sorry) :

Reading symbols for shared libraries . done
QObject::moveToThread: Current thread (0x10db017e0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x10db017e0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x110500a00) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x110500a00) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x10db01470) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x10db01470) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x1177302f0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x1177302f0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
digikam(81092)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x11dcecfd0)
digikam(81092)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x11dcecfd0) -6
digikam(81092)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("http://maps.googleapis.com/maps/api/js/QuotaService.RecordEvent?1sfile%3A%2F%2F%2Fopt%2Flocal%2Fshare%2Fapps%2Flibkgeomap%2Fbackend-googlemaps.html&4e1&5e0&6u1&7s685vne&callback=_xdc_._gefn2q&token=113180")
digikam(81092)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x11dcecfd0) KIO::Slave(0x120400780)
QObject::moveToThread: Current thread (0x11772f8a0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x11772f8a0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x110507b70) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x110507b70) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
ASSERT failure in QList<T>::at: "index out of range", file /opt/local/include/QtCore/qlist.h, line 469

Program received signal SIGABRT, Aborted.
0x00007fff92a8b212 in __pthread_kill ()
(gdb) bt
#0  0x00007fff92a8b212 in __pthread_kill ()
#1  0x00007fff93566af4 in pthread_kill ()
#2  0x00007fff935aadce in abort ()
#3  0x000000010506fc08 in qt_message_output ()
#4  0x000000010506fe95 in qt_message ()
#5  0x000000010506f78f in qFatal ()
#6  0x00000001002e5e50 in QList<Digikam::TableViewColumn*>::at ()
#7  0x00000001002e578a in Digikam::TableViewModel::getColumnObject ()
#8  0x00000001002e25a3 in Digikam::TableViewItemDelegate::sizeHint ()
#9  0x00000001044d2d38 in QTreeViewPrivate::paintAlternatingRowColors ()
#10 0x00000001044d2825 in QTreeView::drawTree ()
#11 0x00000001044d23d6 in QTreeView::paintEvent ()
#12 0x00000001040476bf in QWidget::event ()
#13 0x0000000104384827 in QFrame::event ()
#14 0x000000010440abec in QAbstractScrollArea::viewportEvent ()
#15 0x0000000104492198 in QAbstractItemView::viewportEvent ()
#16 0x00000001044d2178 in QTreeView::viewportEvent ()
#17 0x000000010440b3e5 in QAbstractScrollAreaFilter::eventFilter ()
#18 0x000000010517baed in QCoreApplicationPrivate::sendThroughObjectEventFilters ()
#19 0x0000000103ff6e1b in QApplicationPrivate::notify_helper ()
#20 0x0000000103ff9c7e in QApplication::notify ()
#21 0x0000000103a28fc9 in KApplication::notify ()
#22 0x000000010517b7f5 in QCoreApplication::notifyInternal ()
#23 0x0000000104042a34 in QWidgetPrivate::drawWidget ()
#24 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#25 0x000000010404306e in QWidgetPrivate::paintSiblingsRecursive ()
#26 0x000000010404306e in QWidgetPrivate::paintSiblingsRecursive ()
#27 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#28 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#29 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#30 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#31 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#32 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#33 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#34 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#35 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#36 0x0000000103f98be8 in -[QCocoaView drawRect:] ()
#37 0x00007fff8f88e220 in -[NSView _drawRect:clip:] ()
#38 0x00007fff8f88b093 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#39 0x00007fff8f88bb24 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#40 0x00007fff8f88bb24 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#41 0x00007fff8f88bb24 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#42 0x00007fff8f88a223 in -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#43 0x00007fff8f885e4d in -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] ()
#44 0x00007fff8f84fd73 in -[NSView displayIfNeeded] ()
#45 0x00007fff8f84f2ac in _handleWindowNeedsDisplayOrLayoutOrUpdateConstraints ()
#46 0x00007fff8fe1a971 in __83-[NSWindow _postWindowNeedsDisplayOrLayoutOrUpdateConstraintsUnlessPostingDisabled]_block_invoke_01208 ()
#47 0x00007fff8d2b59b7 in __CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ ()
#48 0x00007fff8d2b5921 in __CFRunLoopDoObservers ()
#49 0x00007fff8d290d88 in __CFRunLoopRun ()
#50 0x00007fff8d2906b2 in CFRunLoopRunSpecific ()
#51 0x00007fff90a290a4 in RunCurrentEventLoopInMode ()
#52 0x00007fff90a28d84 in ReceiveNextEventCommon ()
#53 0x00007fff90a28cd3 in BlockUntilNextEventMatchingListInMode ()
#54 0x00007fff8f84c613 in _DPSNextEvent ()
#55 0x00007fff8f84bed2 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#56 0x00007fff8f843283 in -[NSApplication run] ()
#57 0x0000000103fab4c0 in QEventDispatcherMac::processEvents ()
#58 0x0000000105178b97 in QEventLoop::exec ()
#59 0x000000010517bd87 in QCoreApplication::exec ()
#60 0x0000000100361b3e in main ()
(gdb)
Comment 20 Michael G. Hansen 2013-03-12 09:15:13 UTC
Hi Gilles,

I will look at the crash tonight. Can you try what happens when you remove columns, especially the thumbnail column?

Best regards,

Michael
Comment 21 caulier.gilles 2013-03-12 09:22:04 UTC
Micheal,

I suspect a problem with Macports on my macbook pro. Look like this trace is visible a lots of time :

//-----
On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x11772f8a0) is not the object's thread (0x10c539d70).
Cannot move to target thread (0x10c000fb0)
//-----

I never seen this before. Recently, i tried to build a DMG of whole digiKam using Macports, and i think that i broken something in my KDE/Qt install

This morning, under Linux, i tried to reproduce the problem : nothing.

To be sure, this evening (i don't have my mac in my office), i will re-install all Macports and try again to see if problem still reproducible.

Gilles
Comment 22 Axel Krebs 2013-03-12 19:34:39 UTC
Thanks to all developpers for this issue/wish of mine!

Thank you you the information. I believe, list view can further improve
digiKam capabilities in the context of professional pics handling.

Axel
--
Am 12.03.2013 10:22, schrieb Gilles Caulier:
> https://bugs.kde.org/show_bug.cgi?id=244422
> 
> --- Comment #21 from Gilles Caulier <caulier.gilles@gmail.com> ---
> Micheal,
> 
> I suspect a problem with Macports on my macbook pro. Look like this trace is
> visible a lots of time :
> 
> //-----
> On Mac OS X, you might be loading two sets of Qt binaries into the same
> process. Check that all plugins are compiled against the right Qt binaries.
> Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being
> loaded.
> QObject::moveToThread: Current thread (0x11772f8a0) is not the object's thread
> (0x10c539d70).
> Cannot move to target thread (0x10c000fb0)
> //-----
> 
> I never seen this before. Recently, i tried to build a DMG of whole digiKam
> using Macports, and i think that i broken something in my KDE/Qt install
> 
> This morning, under Linux, i tried to reproduce the problem : nothing.
> 
> To be sure, this evening (i don't have my mac in my office), i will re-install
> all Macports and try again to see if problem still reproducible.
> 
> Gilles
>
Comment 23 caulier.gilles 2013-03-12 21:37:57 UTC
Michael,

- In table-view, the item contextual menu is very reduced. It must be the same than icon-view mode.

- Icon of table-view action in View menu is not taken from Oxygen ? It don't look very instructive for end users. There is certainly a better icon for this action.

- As other main View action (icon-view, preview, map-view), it will be nice to see table-view plugged by default in main tool-bar.

Gilles Caulier
Comment 24 Michael G. Hansen 2013-03-12 21:47:43 UTC
Hi Gilles,

(In reply to comment #23)
> - In table-view, the item contextual menu is very reduced. It must be the
> same than icon-view mode.

Yes, work-in-progress ;-)

> - Icon of table-view action in View menu is not taken from Oxygen ? It don't
> look very instructive for end users. There is certainly a better icon for
> this action.

This was the best I found until now. Suggestions?

> - As other main View action (icon-view, preview, map-view), it will be nice
> to see table-view plugged by default in main tool-bar.

Yes. Do you know how to change that?

Michael
Comment 25 caulier.gilles 2013-03-12 21:55:41 UTC
- For icon, look view-list-details.png from Oxygen for ex. Mine is located in /usr/share/icons/oxygen/32x32/actions/

- For tool bar, just patch digikam UI rc file here :

https://projects.kde.org/projects/extragear/graphics/digikam/repository/revisions/master/entry/digikam/main/digikamui.rc#L184

Don't forget to increase ID in top of this XML file.

Gilles Caulier
Comment 26 caulier.gilles 2013-03-12 22:08:02 UTC
Do you see Coverity Report #990525, reported by my last scan yesterday :

115class TableViewModel::Private
116{
117public:
118
119    Private()
120      : columnObjects(),
121        rootItem(new TableViewModelItem())
   	
CID 990525 (#1 of 1): Resource leak in object (CTOR_DTOR_LEAK)
1. alloc_new: Allocating memory by calling "new Digikam::TableViewModelItem".
   	2. var_assign: Assigning: "this->rootItem" = "new Digikam::TableViewModelItem".
   	3. ctor_dtor_leak: The constructor allocates field "rootItem" of "Digikam::TableViewModel::Private" but there is no destructor.
122    {
123    }
124
125    QList<TableViewColumn*> columnObjects;
126    TableViewModelItem* rootItem;
127};

Gilles Caulier
Comment 27 caulier.gilles 2013-03-12 22:46:25 UTC
Michael,

I cleaned all my Macports install on my macbook pro and recompiled/installed Qt4/KDE4 and digiKam.

It crash in the same condition : I switch to table view. All is fine until i scroll down items list to the bottom. Scrolling up/ down a little bit do not crash. Trace is given below :

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
ASSERT failure in QList<T>::at: "index out of range", file /opt/local/include/QtCore/qlist.h, line 469

Program received signal SIGABRT, Aborted.
0x00007fff92a8b212 in __pthread_kill ()
(gdb) bt
#0  0x00007fff92a8b212 in __pthread_kill ()
#1  0x00007fff93566af4 in pthread_kill ()
#2  0x00007fff935aadce in abort ()
#3  0x000000010506fc08 in qt_message_output ()
#4  0x000000010506fe95 in qt_message ()
#5  0x000000010506f78f in qFatal ()
#6  0x00000001002e5e50 in QList<Digikam::TableViewColumn*>::at ()
#7  0x00000001002e578a in Digikam::TableViewModel::getColumnObject ()
#8  0x00000001002e25a3 in Digikam::TableViewItemDelegate::sizeHint ()
#9  0x00000001044d2d38 in QTreeViewPrivate::paintAlternatingRowColors ()
#10 0x00000001044d2825 in QTreeView::drawTree ()
#11 0x00000001044d23d6 in QTreeView::paintEvent ()
#12 0x00000001040476bf in QWidget::event ()
#13 0x0000000104384827 in QFrame::event ()
#14 0x000000010440abec in QAbstractScrollArea::viewportEvent ()
#15 0x0000000104492198 in QAbstractItemView::viewportEvent ()
#16 0x00000001044d2178 in QTreeView::viewportEvent ()
#17 0x000000010440b3e5 in QAbstractScrollAreaFilter::eventFilter ()
#18 0x000000010517baed in QCoreApplicationPrivate::sendThroughObjectEventFilters ()
#19 0x0000000103ff6e1b in QApplicationPrivate::notify_helper ()
#20 0x0000000103ff9c7e in QApplication::notify ()
#21 0x0000000103a28fc9 in KApplication::notify ()
#22 0x000000010517b7f5 in QCoreApplication::notifyInternal ()
#23 0x0000000104042a34 in QWidgetPrivate::drawWidget ()
#24 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#25 0x000000010404306e in QWidgetPrivate::paintSiblingsRecursive ()
#26 0x000000010404306e in QWidgetPrivate::paintSiblingsRecursive ()
#27 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#28 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#29 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#30 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#31 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#32 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#33 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#34 0x0000000104043242 in QWidgetPrivate::paintSiblingsRecursive ()
#35 0x0000000104042c1f in QWidgetPrivate::drawWidget ()
#36 0x0000000103f98be8 in -[QCocoaView drawRect:] ()
#37 0x00007fff8f88e220 in -[NSView _drawRect:clip:] ()
#38 0x00007fff8f88b093 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#39 0x00007fff8f88bb24 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#40 0x00007fff8f88bb24 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#41 0x00007fff8f88bb24 in -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#42 0x00007fff8f88a223 in -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] ()
#43 0x00007fff8f885e4d in -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] ()
#44 0x00007fff8f84fd73 in -[NSView displayIfNeeded] ()
#45 0x00007fff8f84f2ac in _handleWindowNeedsDisplayOrLayoutOrUpdateConstraints ()
#46 0x00007fff926ff513 in __NSFireTimer ()
#47 0x00007fff8d2abda4 in __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ ()
#48 0x00007fff8d2ab8bd in __CFRunLoopDoTimer ()
#49 0x00007fff8d291099 in __CFRunLoopRun ()
#50 0x00007fff8d2906b2 in CFRunLoopRunSpecific ()
#51 0x00007fff90a290a4 in RunCurrentEventLoopInMode ()
#52 0x00007fff90a28e42 in ReceiveNextEventCommon ()
#53 0x00007fff90a28cd3 in BlockUntilNextEventMatchingListInMode ()
#54 0x00007fff8f84c613 in _DPSNextEvent ()
#55 0x00007fff8f84bed2 in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#56 0x00007fff8f843283 in -[NSApplication run] ()
#57 0x0000000103fab4c0 in QEventDispatcherMac::processEvents ()
#58 0x0000000105178b97 in QEventLoop::exec ()
#59 0x000000010517bd87 in QCoreApplication::exec ()
#60 0x0000000100361b3e in main ()
(gdb) 

All components used are listed below :

digiKam version 3.2.0-git
Exiv2 can write to Jp2: Yes
Exiv2 can write to Jpeg: Yes
Exiv2 can write to Pgf: Yes
Exiv2 can write to Png: Yes
Exiv2 can write to Tiff: Yes
Exiv2 supports XMP metadata: Yes
LibCImg: 130
LibClapack: internal library
LibExiv2: 0.23
LibJPEG: 90
LibJasper: 1.900.1
LibKDE: 4.10.1
LibKExiv2: 2.3.1
LibKGeoMap: 2.0.0
LibKdcraw: 2.3.0
LibLCMS: 2040
LibLensFun: 0.2.6-0
LibPGF: 6.12.27 - internal library
LibPNG: 1.5.14
LibQt: 4.8.4
LibRaw: 0.15.0-Beta3
LibTIFF: LIBTIFF, Version 4.0.3 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble Widget: 0.15.1 (stable version)
Parallelized PGF codec: No
Parallelized demosaicing: No
RawSpeed codec support: No
Database backend: QSQLITE
Kipi-Plugins: 3.2.0-git
LibGphoto2: 2.5.1.1
LibKface: 3.0.0
LibKipi: 2.0.0
LibOpenCV: 2.4.4
Libface: 0.3

Gilles Caulier
Comment 28 caulier.gilles 2013-03-13 09:56:57 UTC
Michael,

Other important point to add is the capability to show Photo Info in columns, as aperture, shutter speed, white balance, etc. In fact all info already hosted in right sidebar from Photograph Properties section. 

In Columns properties from Table-View mode, I can see "Digikam properties". There is a typo. It's must be "digiKam properties"

Gilles Caulier
Comment 29 caulier.gilles 2013-03-13 10:32:03 UTC
Micheal,

Small tip from cppcheck :

Checking tableview_columnfactory.cpp...
[tableview_columnfactory.cpp:251]: (performance) Function parameter 'sourceIndex' should be passed by reference.


Gilles Caulier
Comment 30 caulier.gilles 2013-03-13 11:05:48 UTC
Michael,

I take a look in code of tableview model, about crash under OSX.

It sound like the problem is here :

TableViewColumn* TableViewModel::getColumnObject(const int columnIndex)
{
    return d->columnObjects.at(columnIndex);
}

if columnIndex is outside the limit of data stored in QList columnObjects, Qt can crash... I remember to have already seen this problem in digiKam before, when i used QList::at() 

The question is why passed columnIndex can be outside the limit... 

Also, i already seen that Linux Qt version is less sensible to this problem, probably due to compiler option to optimize. Under OSX, it's Clang compiler (through XCode). This can be explain why OSX crash where Linux no.

To be sure, i will pass valgrind memory check here...

Gilles
Comment 31 caulier.gilles 2013-03-13 11:20:21 UTC
Michael,

Running digiKam under valgrind with Linux), i can see interresting traces :

==19663== 48 bytes in 3 blocks are possibly lost in loss record 13,349 of 20,264
==19663==    at 0x402811D: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==19663==    by 0x81A1DEC: QHash<QString, QString>::insert(QString const&, QString const&) (qhash.h:763)
==19663==    by 0x8299052: Digikam::TableViewColumnConfiguration::loadSettings(KConfigGroup const&) (tableview_columnfactory.cpp:225)
==19663==    by 0x82984D4: Digikam::TableViewColumnProfile::loadSettings(KConfigGroup const&) (tableview_columnfactory.cpp:166)
==19663==    by 0x8288F80: Digikam::TableView::doLoadState() (tableview.cpp:123)
==19663==    by 0x51D3D9D: Digikam::StateSavingObject::loadState() (statesavingobject.cpp:183)
==19663==    by 0x827D2C3: Digikam::DigikamView::loadViewState() (digikamview.cpp:673)
==19663==    by 0x827D7FA: Digikam::DigikamView::slotAllAlbumsLoaded() (digikamview.cpp:772)
==19663==    by 0x8279FAE: Digikam::DigikamView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (digikamview.moc:324)
==19663==    by 0x721829E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (in /usr/lib/libQtCore.so.4.8.4)
==19663==    by 0x81C6822: Digikam::AlbumManager::signalAllAlbumsLoaded() (albummanager.moc:271)
==19663==    by 0x81CC1EE: Digikam::AlbumManager::startScan() (albummanager.cpp:1114)


==19663== 76 bytes in 1 blocks are possibly lost in loss record 15,938 of 20,264
==19663==    at 0x4027C19: operator new(unsigned int) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==19663==    by 0x721B91D: QObject::QObject(QObject*) (in /usr/lib/libQtCore.so.4.8.4)
==19663==    by 0x8297D58: Digikam::TableViewColumn::TableViewColumn(Digikam::TableViewShared*, Digikam::TableViewColumnConfiguration const&, QObject*) (tableview_columnfactory.cpp:54)
==19663==    by 0x8296FB9: Digikam::TableViewColumns::ColumnThumbnail::ColumnThumbnail(Digikam::TableViewShared*, Digikam::TableViewColumnConfiguration const&, QObject*) (tableview_column_thumbnail.cpp:57)
==19663==    by 0x8298028: Digikam::TableViewColumnFactory::getColumn(Digikam::TableViewColumnConfiguration const&) (tableview_columnfactory.cpp:99)
==19663==    by 0x828DEB5: Digikam::TableViewModel::addColumnAt(Digikam::TableViewColumnConfiguration const&, int) (tableview_model.cpp:267)
==19663==    by 0x828E4B1: Digikam::TableViewModel::loadColumnProfile(Digikam::TableViewColumnProfile const&) (tableview_model.cpp:366)
==19663==    by 0x8288FA0: Digikam::TableView::doLoadState() (tableview.cpp:124)
==19663==    by 0x51D3D9D: Digikam::StateSavingObject::loadState() (statesavingobject.cpp:183)
==19663==    by 0x827D2C3: Digikam::DigikamView::loadViewState() (digikamview.cpp:673)
==19663==    by 0x827D7FA: Digikam::DigikamView::slotAllAlbumsLoaded() (digikamview.cpp:772)
==19663==    by 0x8279FAE: Digikam::DigikamView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (digikamview.moc:324)

==19663== 96 bytes in 4 blocks are possibly lost in loss record 16,750 of 20,264
==19663==    at 0x4027C19: operator new(unsigned int) (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==19663==    by 0x828DEB5: Digikam::TableViewModel::addColumnAt(Digikam::TableViewColumnConfiguration const&, int) (tableview_model.cpp:267)
==19663==    by 0x828E4B1: Digikam::TableViewModel::loadColumnProfile(Digikam::TableViewColumnProfile const&) (tableview_model.cpp:366)
==19663==    by 0x8288FA0: Digikam::TableView::doLoadState() (tableview.cpp:124)
==19663==    by 0x51D3D9D: Digikam::StateSavingObject::loadState() (statesavingobject.cpp:183)
==19663==    by 0x827D2C3: Digikam::DigikamView::loadViewState() (digikamview.cpp:673)
==19663==    by 0x827D7FA: Digikam::DigikamView::slotAllAlbumsLoaded() (digikamview.cpp:772)
==19663==    by 0x8279FAE: Digikam::DigikamView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (digikamview.moc:324)
==19663==    by 0x721829E: QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (in /usr/lib/libQtCore.so.4.8.4)
==19663==    by 0x81C6822: Digikam::AlbumManager::signalAllAlbumsLoaded() (albummanager.moc:271)
==19663==    by 0x81CC1EE: Digikam::AlbumManager::startScan() (albummanager.cpp:1114)
==19663==    by 0x81A77B9: Digikam::DigikamApp::DigikamApp() (digikamapp.cpp:284)

Gilles Caulier
Comment 32 Michael G. Hansen 2013-03-13 19:38:23 UTC
(In reply to comment #25)
> - For icon, look view-list-details.png from Oxygen for ex. Mine is located
> in /usr/share/icons/oxygen/32x32/actions/

Done, looks better.

> - For tool bar, just patch digikam UI rc file here :

Done.

> In Columns properties from Table-View mode, I can see "Digikam properties". There is a typo. It's must be "digiKam properties"

Done.

>Small tip from cppcheck : Checking tableview_columnfactory.cpp... >[tableview_columnfactory.cpp:251]: (performance) Function parameter 'sourceIndex' should be passed by reference. 

Done.

CID 990525 (#1 of 1): Resource leak in object (CTOR_DTOR_LEAK) 1. alloc_new: Allocating memory by calling "new Digikam::TableViewModelItem". 2. var_assign: Assigning: "this->rootItem" = "new Digikam::TableViewModelItem". 3. ctor_dtor_leak: The constructor allocates field "rootItem" of "Digikam::TableViewModel::Private" but there is no destructor.

That was a "false" positive, because the rotItem was deleted in TableViewModel's destructor. But I moved the "new Digikam::TableViewModelItem" to TableViewModel's constructor for consistency.

> Other important point to add is the capability to show Photo Info in columns, as aperture, shutter speed, white balance, etc. In fact all info already hosted in right sidebar from Photograph Properties section. 

Is planned, but I wanted to get the whole concept tested before implementing all columns.

Michael
Comment 33 Michael G. Hansen 2013-03-13 20:10:26 UTC
(In reply to comment #31)
> Running digiKam under valgrind with Linux), i can see interresting traces :

Also fixed.

Michael
Comment 34 Michael G. Hansen 2013-03-13 20:22:20 UTC
Git commit da2760f7b656522eb0f25dc905725247031efd40 by Michael Georg Hansen.
Committed on 13/03/2013 at 21:22.
Pushed by mghansen into branch 'master'.

Add debug output to find out more about the crash on OSX.

Gilles, please run digikam on OSX again so we can see which column is accessed.

M  +5    -0    digikam/views/tableview_model.cpp
M  +8    -0    digikam/views/tableview_treeview_delegate.cpp

http://commits.kde.org/digikam/da2760f7b656522eb0f25dc905725247031efd40
Comment 35 caulier.gilles 2013-03-13 22:20:05 UTC
Michael,

Since your last changes in git/master, crash not reproducible now...

There is no special trace here from your debug statements. Strange no ?

ash-3.2$ pwd
/Users/gilles/Devel
bash-3.2$ cd /Applications/MacPorts/   
bash-3.2$ ls
KDE4            Python 2.7      Qt4
bash-3.2$ cd KDE4/digikam.app/  
bash-3.2$ ls
Contents
bash-3.2$ cd Contents/MacOS/
bash-3.2$ ls
digikam         digikam.shell
bash-3.2$ 
bash-3.2$ 
bash-3.2$ 
bash-3.2$ 
bash-3.2$ uname -a
Darwin macgilles.home 12.2.1 Darwin Kernel Version 12.2.1: Thu Oct 18 12:13:47 PDT 2012; root:xnu-2050.20.9~1/RELEASE_X86_64 x86_64
bash-3.2$ pwd
/Applications/MacPorts/KDE4/digikam.app/Contents/MacOS
bash-3.2$ ls 
digikam         digikam.shell
bash-3.2$ digikam
bash: digikam: command not found
bash-3.2$ ./digikam
digikam(64219)/KSharedDataCache ensureFileAllocated: This system misses support for posix_fallocate() -- ensure this partition has room for at least 10547296 bytes. 
digikam(64219)/digikam (core) Digikam::AlbumWatch::connectToKDirWatch: KDirWatch method =  "FAM"
digikam(64219)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QSQLITE", Name "/Users/gilles/Pictures/digikam4.db" (Thumbnails Name "/Users/gilles/Pictures/thumbnails-digikam.db"); ]
QObject::moveToThread: Current thread (0x7fc263484600) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
digikam(64219)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: Loading SQL code from config file "/opt/local/share/apps/digikam/database/dbconfig.xml"
digikam(64219)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: false "1" 1 1
QObject::moveToThread: Current thread (0x7fc264417590) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
digikam(64219)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update
digikam(64219)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  7
digikam(64219)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  7  to  7
digikam(64219)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/"  uuid  "volumeid:?path=%2FUsers%2Fgilles%2FPictures"
digikam(64219)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/Users/gilles/Pictures"  is available  true
digikam(64219)/digikam (core) Digikam::KMemoryInfo::update: Platform identified :  "Unknown"
digikam(64219)/digikam (core) Digikam::KMemoryInfo::bytes: TotalRam:  -1
digikam(64219)/digikam (core) Digikam::LoadingCache::setCacheSize: Allowing a cache size of 60 MB
QObject::moveToThread: Current thread (0x7fc263600fb0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc263600fb0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
digikam(64219)/digikam (core) Digikam::ThumbnailSchemaUpdater::startUpdates: Have a thumbnail database structure version  "2"
digikam(64219)/digikam (core) Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db ready for use
digikam(64219)/digikam (core) Digikam::CollectionScanner::completeScan: Complete scan (file scanning deferred) took: 228 msecs.
digikam(64219)/digikam (core) Digikam::IccSettings::Private::scanDirectories: ()
digikam(64219)/KSharedDataCache ensureFileAllocated: This system misses support for posix_fallocate() -- ensure this partition has room for at least 10547296 bytes. 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::AudioOutput ( no objectName ). 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
WARNING: Phonon::createPath: Cannot connect  Phonon::MediaObject ( no objectName ) to  Phonon::VideoWidget ( no objectName ). 
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(64219)/kdecore (K*TimeZone*): KSystemTimeZones: ktimezoned initialize() D-Bus call failed:  "The name org.kde.kded was not provided by any .service files" 

digikam(64219)/kdecore (K*TimeZone*) *KSystemTimeZonesPrivate::instance: instance(): ... initialised
digikam(64219)/kdecore (K*TimeZone*): No time zone information obtained from ktimezoned 
digikam(64219)/kdecore (K*TimeZone*) KSystemTimeZonesPrivate::readConfig: readConfig(): local zone= ""
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(64219)/digikam (core) Digikam::LensFunCameraSelector::populateLensCombo: variant:  QVariant(Digikam::LensFunIface::DevicePtr, )
digikam(64219)/digikam (core) Digikam::LensFunCameraSelector::populateLensCombo: dev:  Asahi Optical Co.,Ltd  ::  PENTAX Optio 430  ::  4.85
digikam(64219)/digikam (core) Digikam::LensFunIface::findCamera: Search for camera  "" - ""  ==> false
digikam(64219)/digikam (core) Digikam::LensFunIface::findLens: Search for lens  ""  ==> false
digikam(64219)/digikam (core) Digikam::CurvesWidget::updateData: updating data
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Filling this curve from other curve  0x7fc267652320
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Both curves have same type: isSixteenBits =  true
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::BlurFilter::gaussianBlurImage: Radius:  1
digikam(64219)/digikam (core) Digikam::BlurFilter::gaussianBlurImage: Radius:  5
digikam(64219)/digikam (core) Digikam::BlurFilter::gaussianBlurImage: Radius:  2
digikam(64219)/digikam (core) Digikam::BlurFilter::gaussianBlurImage: Radius:  3
digikam(64219)/digikam (core) Digikam::CurvesWidget::updateData: updating data
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Filling this curve from other curve  0x7fc266043fd0
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Both curves have same type: isSixteenBits =  true
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/digikam (core) Digikam::ImageCurves::fillFromOtherCurves: Other is CURVE_SMOOTH
digikam(64219)/KDCRAW KDcrawIface::RActionThreadBase::RActionThreadBase: Starting Main Thread
digikam(64219)/digikam (core) Digikam::AlbumFilterModel::setSearchTextSettings: new search text settings:  "" : hasResult =  false , validRows =  0
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/private/var/tmp/kdecache-gilles/ksycoca4"
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269168c90)
digikam(64219)/kio (Scheduler) *KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "file"
digikam(64219)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 5 m_maxConnectionsPerHost: 5
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269168c90) -8
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26916ad40)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc26916ad40) -8
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26916c010)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc26916c010) -8
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamY64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/kdeui/about/kde_infopage.css")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamy64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/digikam/about/digikam.css")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamM64219.slave-socket"
digikam(64219)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(64219)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x7fc269168c90) KIO::Slave(0x7fc26916a380)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Scheduler: killing slave  64220
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64220 ( "file://" )
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269168c90) KIO::Slave(0x7fc26916a380)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x7fc26916ad40) KIO::Slave(0x7fc2690ce5a0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: Scheduler: killing slave  64221
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64221 ( "file://" )
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc26916ad40) KIO::Slave(0x7fc2690ce5a0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x7fc26916c010) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc26916c010) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2672b1c50)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2672b1c50) -8
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2672b26d0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2672b26d0) -8
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2672b3ee0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2672b3ee0) -8
digikam(64219)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(64219)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x7fc2672b26d0) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2672b26d0) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x7fc2672b1c50) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2672b1c50) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::cancelJob: KIO::TransferJob(0x7fc2672b3ee0) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2672b3ee0) QObject(0x0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2672affb0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2672affb0) -8
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2672b0cc0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2672b0cc0) -8
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26717bdd0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc26717bdd0) -8
digikam(64219)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/kdeui/about/kde_infopage.css")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamN64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/digikam/about/digikam.css")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamu64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/digikam/about/main.html")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamd64219.slave-socket"
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2662d1650)
digikam(64219)/kio (Scheduler) *KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "digikamalbums"
digikam(64219)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 1 m_maxConnectionsPerHost: 1
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269308c60)
digikam(64219)/kio (Scheduler) *KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "digikamtags"
digikam(64219)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 1 m_maxConnectionsPerHost: 1
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26930ae10)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26624b850)
digikam(64219)/kio (Scheduler) *KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "digikamdates"
digikam(64219)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 1 m_maxConnectionsPerHost: 1
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend googlemaps"
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "HYBRID"
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend googlemaps"
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "HYBRID"
digikam(64219)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(64219)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26930ea70)
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "HYBRID"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "digikamtags" for KUrl("digikamtags://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamk64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "digikamdates" for KUrl("digikamdates://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamg64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "digikamalbums" for KUrl("digikamalbums://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamC64219.slave-socket"
digikam(64219)/KIPI (loading) KIPI::PluginLoader::init: Plugin  "RawConverter"  (generic name:  "RawConverter" ) is in the ignore list from host application
digikam(64219)/KIPI (loading) KIPI::PluginLoader::init: Plugin  "JPEGLossless"  (generic name:  "JPEGLossless" ) is in the ignore list from host application
digikam(64219)/KIPI (loading) KIPI::PluginLoader::init: Plugin  "KXMLHelloWorld"  (generic name:  "KXMLHelloWorld" ) is in the ignore list from host application
digikam(64219)/KIPI (loading) KIPIVkontaktePlugin::Plugin_Vkontakte::Plugin_Vkontakte: Plugin_Vkontakte plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "VKontakte"
digikam(64219)/KIPI (loading) KIPIRajceExportPlugin::Plugin_RajceExport::Plugin_RajceExport: Plugin_RajceExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "RajceExport"
digikam(64219)/KIPI (loading) KIPIPlugins::KPAboutData::KPAboutData: 0x7fc26500fc1a
digikam(64219)/KIPI (general) KIPIPhotoLayoutsEditor::Plugin_PhotoLayoutsEditor::Plugin_PhotoLayoutsEditor: Plugin_PhotoLayoutsEditor plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "photolayoutseditor"
digikam(64219)/KIPI (loading) KIPIKopetePlugin::Plugin_Kopete::Plugin_Kopete: Plugin_Kopete plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Kopete Export"
digikam(64219)/KIPI (loading) KIPIFlickrExportPlugin::Plugin_FlickrExport::Plugin_FlickrExport: Plugin_FlickrExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "FlickrExport"
digikam(64219)/KIPI (loading) KIPIMetadataEditPlugin::Plugin_MetadataEdit::Plugin_MetadataEdit: Plugin_MetadataEdit plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "MetadataEdit"
digikam(64219)/KIPI (loading) KIPIHTMLExport::Plugin_HTMLExport::Plugin_HTMLExport: Plugin_HTMLExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "HTMLExport"
digikam(64219)/KIPI (loading) KIPIPiwigoExportPlugin::Plugin_PiwigoExport::Plugin_PiwigoExport: Plugin_PiwigoExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "PiwigoExport"
digikam(64219)/KIPI (loading) KIPIImgurExportPlugin::Plugin_ImgurExport::Plugin_ImgurExport: ImgurExport plugin loaded
digikam(64219)/KIPI (loading) KIPIImgurExportPlugin::Plugin_ImgurExport::Plugin_ImgurExport: ()
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "ImgurExport"
digikam(64219)/KIPI (loading) KIPIDebianScreenshotsPlugin::Plugin_DebianScreenshots::Plugin_DebianScreenshots: Plugin_DebianScreenshots plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Debian Screenshots Export"
digikam(64219)/KIPI (loading) KIPIYandexFotkiPlugin::Plugin_YandexFotki::Plugin_YandexFotki: Plugin_YandexFotki plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "YandexFotki"
digikam(64219)/KIPI (loading) KIPIPrintImagesPlugin::Plugin_PrintImages::Plugin_PrintImages: Plugin_PrintImages plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "PrintImages"
digikam(64219)/KIPI (loading) KIPIGPSSyncPlugin::Plugin_GPSSync::Plugin_GPSSync: Plugin_GPSSync plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "GPSSync"
digikam(64219)/KIPI (loading) KIPIShwupPlugin::Plugin_Shwup::Plugin_Shwup: Plugin_Shwup plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Shwup Export"
digikam(64219)/KIPI (loading) KIPIDLNAExportPlugin::Plugin_DLNAExport::Plugin_DLNAExport: Plugin_DLNAExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "DLNAExport"
digikam(64219)/KIPI (loading) KIPISendimagesPlugin::Plugin_SendImages::Plugin_SendImages: Plugin_SendImages plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "SendImages"
digikam(64219)/KIPI (loading) KIPIPicasawebExportPlugin::Plugin_PicasawebExport::Plugin_PicasawebExport: Plugin_PicasawebExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "PicasawebExport"
digikam(64219)/KIPI (loading) KIPIWikiMediaPlugin::Plugin_WikiMedia::Plugin_WikiMedia: Plugin_MediaWiki plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "MediaWiki export"
digikam(64219)/KIPI (loading) KIPIViewerPlugin::Plugin_viewer::Plugin_viewer: OpenGL viewer plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "kipiplugin_imageviewer"
digikam(64219)/KIPI (loading) KIPIFacebookPlugin::Plugin_Facebook::Plugin_Facebook: Plugin_Facebook plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Facebook Import/Export"
digikam(64219)/KIPI (loading) KIPIExpoBlendingPlugin::Plugin_ExpoBlending::Plugin_ExpoBlending: Plugin_ExpoBlending plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "ExpoBlending"
digikam(64219)/KIPI (loading) KIPIAcquireImagesPlugin::Plugin_AcquireImages::Plugin_AcquireImages: Plugin_AcquireImages plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "AcquireImages"
digikam(64219)/KIPI (general) KIPIImageshackExportPlugin::Plugin_ImageshackExport::Plugin_ImageshackExport: Plugin_ImageshackExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "ImageshackExport"
digikam(64219)/KIPI (loading) KIPIFlashExportPlugin::Plugin_FlashExport::Plugin_FlashExport: Plugin_Flashexport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "FlashExport"
digikam(64219)/KIPI (loading) KIPITimeAdjustPlugin::Plugin_TimeAdjust::Plugin_TimeAdjust: Plugin_TimeAdjust plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "TimeAdjust"
digikam(64219)/KIPI (loading) KIPISmugPlugin::Plugin_Smug::Plugin_Smug: Plugin_Smug plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Smug"
digikam(64219)/KIPI (loading) KIPIAdvancedSlideshowPlugin::Plugin_AdvancedSlideshow::Plugin_AdvancedSlideshow: Plugin_AdvancedSlideshow plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "AdvancedSlideshow"
digikam(64219)/KIPI (loading) KIPIGalleryExportPlugin::Plugin_GalleryExport::Plugin_GalleryExport: Plugin_GalleryExport plugin loaded
digikam(64219)/KIPI (general) KIPIGalleryExportPlugin::Gallery::load: Reading data from kipirc file..
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "GalleryExport"
digikam(64219)/KIPI (loading) KIPIRemoveRedEyesPlugin::Plugin_RemoveRedEyes::Plugin_RemoveRedEyes: Plugin_RemoveRedEyes plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "RemoveRedEyes"
digikam(64219)/KIPI (loading) KIPIIpodExportPlugin::Plugin_iPodExport::Plugin_iPodExport: Plugin_iPodExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "iPodExport"
digikam(64219)/KIPI (loading) KIPIKMLExportPlugin::Plugin_KMLExport::Plugin_KMLExport: Plugin_KMLExport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "KMLExport"
digikam(64219)/KIPI (loading) KIPIPanoramaPlugin::Plugin_Panorama::Plugin_Panorama: Plugin_Panorama plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Panorama"
digikam(64219)/KIPI (loading) KIPICalendarPlugin::Plugin_Calendar::Plugin_Calendar: Plugin_Calendar plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "Calendar"
digikam(64219)/KIPI (loading) KIPIBatchProcessImagesPlugin::Plugin_BatchProcessImages::Plugin_BatchProcessImages: Plugin_BatchProcessImages plugin loaded
digikam(64219)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_border_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_color_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_convert_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_filter_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_rename_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_recompress_images" ' is disabled.
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "BatchProcessImages"
digikam(64219)/KIPI (loading) KIPIKioExportPlugin::Plugin_KioExportImport::Plugin_KioExportImport: Plugin_KioExportImport plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "KioExportImport"
digikam(64219)/KIPI (loading) KIPIDNGConverterPlugin::Plugin_DNGConverter::Plugin_DNGConverter: Plugin_DNGConverter plugin loaded
digikam(64219)/KIPI (loading) *KIPI::PluginLoader::Info::plugin: Loaded plugin  "DNGConverter"
digikam(64219)/KIPI (general) KIPIPiwigoExportPlugin::Piwigo::load: Reading data from kipirc file..
digikam(64219)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_border_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_color_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_convert_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_filter_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_rename_images" ' is disabled.
digikam(64219)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_recompress_images" ' is disabled.
digikam(64219)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(64219)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/digikam (core) *Digikam::StatusProgressBar::currentProgressItem: ""
digikam(64219)/digikam (editor plugins) DigikamColorImagePlugin::ImagePlugin_Color::ImagePlugin_Color: ImagePlugin_Color plugin loaded
digikam(64219)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Color"
digikam(64219)/digikam (editor plugins) DigikamDecorateImagePlugin::ImagePlugin_Decorate::ImagePlugin_Decorate: ImagePlugin_Decorate plugin loaded
digikam(64219)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Decorate"
digikam(64219)/digikam (editor plugins) DigikamEnhanceImagePlugin::ImagePlugin_Enhance::ImagePlugin_Enhance: ImagePlugin_Enhance plugin loaded
digikam(64219)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Enhance"
digikam(64219)/digikam (editor plugins) DigikamFxFiltersImagePlugin::ImagePlugin_FxFilters::ImagePlugin_FxFilters: ImagePlugin_FxFilters plugin loaded
digikam(64219)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_FxFilters"
digikam(64219)/digikam (editor plugins) DigikamTransformImagePlugin::ImagePlugin_Transform::ImagePlugin_Transform: ImagePlugin_Transform plugin loaded
digikam(64219)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Transform"
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(64219)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(64219)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(64219)/digikam (core) Digikam::NewItemsFinder::slotStart: scan mode: ScanDeferredFiles
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("digikamdates://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SpecialJob(0x7fc26624b850) KIO::Slave(0x7fc2662de690)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("digikamalbums://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SpecialJob(0x7fc2662d1650) KIO::Slave(0x7fc266303ad0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("digikamalbums:/Photos/DORDOGNE/2012-08-12/?albumRoot=%2FUsers%2Fgilles%2FPictures&albumRootId=1&databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
QObject::moveToThread: Current thread (0x7fc266301840) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SpecialJob(0x7fc26930ea70) KIO::Slave(0x7fc266303ad0)
On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267677810) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/kde_infopage.css")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2672affb0) KIO::Slave(0x7fc2662267f0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc26971a9c0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc26971a9c0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2697071a0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2697071a0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2696f25a0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2696f25a0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2696e74b0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2696e74b0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b2aea0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b2aea0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b2bbd0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b2bbd0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b2b690)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b2b690) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b2d7e0)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b2d7e0) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b2e680)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b2e680) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b2d150)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b2d150) 0
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc269b30320)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc269b30320) 0
QObject::moveToThread: Current thread (0x7fc264407660) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc264407660) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc26440c200) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc26440c200) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/kdeui/about/top-middle.png")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamN64219.slave-socket"
digikam(64219)/kio (Slave) *KIO::Slave::createSlave: createSlave "file" for KUrl("file:///opt/local/share/apps/kdeui/about/box-top-left.png")
digikam(64219)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on  "local:/private/var/folders/qw/qxx4g7k55hg9ysjmdvnb057m0000gn/T/ksocket-gilles/digikamV64219.slave-socket"
digikam(64219)/kdecore (K*TimeZone*) KTimeZoneBackend::offsetAtUtc: No cache
digikam(64219)/kdecore (K*TimeZone*) KTimeZoneBackend::offsetAtZoneTime: -> No cache
digikam(64219)/kdecore (K*TimeZone*) KTimeZoneBackend::offsetAtUtc: No cache
digikam(64219)/kdecore (K*TimeZone*) KTimeZoneBackend::offsetAtZoneTime: -> No cache
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/digikam/about/main.html")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc26717bdd0) KIO::Slave(0x7fc26620b0e0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-top-left.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2696f25a0) KIO::Slave(0x7fc269b6c810)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-top-right.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2696e74b0) KIO::Slave(0x7fc26620b0e0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-top-middle.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b2aea0) KIO::Slave(0x7fc269b6c810)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-middle-left.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b2bbd0) KIO::Slave(0x7fc26620b0e0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("digikamtags://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SpecialJob(0x7fc269308c60) KIO::Slave(0x7fc26930aad0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-center.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b2b690) KIO::Slave(0x7fc269b6c810)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("digikamtags://?databaseType=QSQLITE&databaseName=%2FUsers%2Fgilles%2FPictures%2Fdigikam4.db&connectOptions=&hostName=&userName=&password=")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::SpecialJob(0x7fc26930ae10) KIO::Slave(0x7fc26930aad0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-bottom-left.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b2e680) KIO::Slave(0x7fc269b6c810)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-bottom-right.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b2d150) KIO::Slave(0x7fc269b6c810)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/digikam/about/digikam.css")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2672b0cc0) KIO::Slave(0x7fc266232960)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x7fc2692c9920)
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::setJobPriority: KIO::TransferJob(0x7fc2692c9920) 0
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-bottom-middle.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b30320) KIO::Slave(0x7fc269b6c810)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/box-middle-right.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc269b2d7e0) KIO::Slave(0x7fc26620b0e0)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/digikam/about/top-left-digikam.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2692c9920) KIO::Slave(0x7fc266232960)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/top-middle.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc2697071a0) KIO::Slave(0x7fc267569610)
digikam(64219)/kio (KIOJob) KIO::TransferJob::slotFinished: KUrl("file:///opt/local/share/apps/kdeui/about/body-background.png")
digikam(64219)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::TransferJob(0x7fc26971a9c0) KIO::Slave(0x7fc2662267f0)
QObject::moveToThread: Current thread (0x7fc2660033b0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc2660033b0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676560) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676560) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676fb0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676fb0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc2676780b0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc2676780b0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676c40) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676c40) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc2644261a0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc2644261a0) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0)

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
digikam(64219)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded 
digikam(64219)/kparts KParts::Part::slotWidgetDestroyed: deleting part ""
digikam(64219)/khtml (part) KHTMLPart::~KHTMLPart: KHTMLPart(0x7fc2671204c0)
digikam(64219)/KDCRAW KDcrawIface::RActionThreadBase::cancel: Cancel Main Thread
digikam(64219)/KDCRAW KDcrawIface::RActionThreadBase::~RActionThreadBase: calling action thread destructor
digikam(64219)/KDCRAW KDcrawIface::RActionThreadBase::cancel: Cancel Main Thread
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64227 ( "digikamalbums://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64225 ( "digikamtags://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64226 ( "digikamdates://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64222 ( "file://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64228 ( "file://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64223 ( "file://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64224 ( "file://" )
digikam(64219)/kio (Slave) KIO::Slave::kill: killing slave pid 64229 ( "file://" )
zone still contained 10 blocks
bash-3.2$ 

But what is this call to moveThread() like this one :

On Mac OS X, you might be loading two sets of Qt binaries into the same process. Check that all plugins are compiled against the right Qt binaries. Export DYLD_PRINT_LIBRARIES=1 and check that only one set of binaries are being loaded.
QObject::moveToThread: Current thread (0x7fc267676560) is not the object's thread (0x7fc26363ef70).
Cannot move to target thread (0x7fc263600fb0) 

It's appear when i scroll down list view. Probably thumbnail loader thread is called to render thumb item. Why we have this Qt warning here with OSX ?

Gilles Caulier
Comment 36 Michael G. Hansen 2013-03-14 19:30:07 UTC
The debug output is only generated if an upcoming crash is detected because of a wrong column index.

If you want debug output all the time, comment out tableview_treeview_delegate.cpp:103 and tableview_model.cpp:343v

So in d35ca71d5709439d7f6b9982abb16afc777d1fff, there is a crash, but in da2760f7b656522eb0f25dc905725247031efd40 there is no crash?

Michael
Comment 37 caulier.gilles 2013-03-14 19:39:36 UTC
>So in d35ca71d5709439d7f6b9982abb16afc777d1fff, there is a crash, but in da2760f7b656522eb0f25dc905725247031efd40 there is no crash?

yes exactly. I checked to go back with gt to previous commit, and i confirm that crash as disappear...

Gilles
Comment 38 caulier.gilles 2013-03-15 19:26:25 UTC
Michael,

Another report  about thumb column : 

1/ when you resize it to much, thumb disappear. In oposite resizement truncate thumb if size is too small.

My tip : perhaps disabled column resizement. Let's thumb size to be changed only by slider from status bar. Set width column corresponding to max thumb size...

2/ image orientation is vertical, and when you adjust thumb size by slider from status bar, thumb are trucated from the bottom when size become high.

Gilles Caulier
Comment 39 Michael G. Hansen 2013-05-04 11:46:42 UTC
Git commit a2c30eefab58082c79b76e3ecd600a582ef727e8 by Michael Georg Hansen.
Committed on 04/05/2013 at 13:45.
Pushed by mghansen into branch 'master'.

update
FIXED-IN: 3.2

M  +2    -1    NEWS

http://commits.kde.org/digikam/a2c30eefab58082c79b76e3ecd600a582ef727e8